D-Link Forums

D-Link IP Cameras for Home => DCS-936L => Topic started by: R. Cormier on February 02, 2020, 11:44:10 AM

Title: Cannot update Firmware to 1.08.03
Post by: R. Cormier on February 02, 2020, 11:44:10 AM
Hi. Firmware won't update from v1.07.04 to v1.08.03.

I downloaded the firmware.bin for v 1.08.03 from the post in this forum. The .bin file I downloaded says 1.08.03. Browsed to it from "Firmware Update" in "Maintenance". Clicked on "Upload" (the button says upload, not update). The camera downloaded the file. Restarted. When it was finished restarting, the firmware version was still 1.07.04.

Refreshed browser. Closed and reopened browser. Firmware isn't updating. I'm trying to update three cameras and getting the same trouble with each.

Any advice?
Title: Re: Cannot update Firmware to 1.08.03
Post by: FurryNutz on February 02, 2020, 01:31:09 PM
What browser are you using?
Try IE11 or FireFox...
Title: Re: Cannot update Firmware to 1.08.03
Post by: R. Cormier on February 02, 2020, 06:56:29 PM
I have been using IE11 because for some reason the last version of Firefox wouldn't work with the interface. I just installed the most recent version of Firefox, and camera3 has been updated through it. Thank-you :) I'm now being prompted to "update" to the previous version (1.07.04).

I have finally managed to install the update on camera1 successfully. There has been a lot of trouble with the camera disconnecting from Firefox at the end of the restart after installation but finally successful. Looking now to update camera2.


P.S. When it is working Firefox does not support the Live View ("The browser you are using may have difficulty receiving images and video" etc).


Title: Re: Cannot update Firmware to 1.08.03
Post by: FurryNutz on February 03, 2020, 06:07:11 AM
I recommend you downgrade back to v1.07. We found that v1.08 does not work as well:
http://forums.dlink.com/index.php?topic=74935.0 (http://forums.dlink.com/index.php?topic=74935.0)

To use live view, you need to use IE11 or FF ESR version v52.9.0.
Title: Re: Cannot update Firmware to 1.08.03
Post by: R. Cormier on February 03, 2020, 09:06:18 AM
I did read your post before I managed to update, but couldn't seem to find a resolution or conclusion. So go back to v.1.07.04 was the conclusion?
Title: Re: Cannot update Firmware to 1.08.03
Post by: FurryNutz on February 03, 2020, 09:45:39 AM
Yes.
Title: Re: Cannot update Firmware to 1.08.03
Post by: R. Cormier on February 03, 2020, 10:03:18 AM
Thank-you. :D
Title: Re: Cannot update Firmware to 1.08.03
Post by: FurryNutz on February 03, 2020, 10:21:37 AM
 ;)